Commit b73a5f34 authored by malaterre's avatar malaterre

ENH: Some minor tweaks. Only exposed on option: BUILD_TESTING. the Slicer3 one will be the one used

git-svn-id: http://svn.slicer.org/Slicer4/trunk@10 3bd1e089-480b-0410-8dfb-8563597acbee
parent 7aae0d61
PROJECT( Slicer3 )
CMAKE_MINIMUM_REQUIRED(VERSION 2.0)
MARK_AS_ADVANCED(CMAKE_BACKWARDS_COMPATIBILITY)
#-----------------------------------------------------------------------------
# Slicer version number.
SET(Slicer3_VERSION_MAJOR "3")
SET(Slicer3_VERSION_MINOR "0")
SET(Slicer3_VERSION_PATCH "0")
SET(Slicer3_VERSION "${Slicer3_VERSION_MAJOR}.${Slicer3_VERSION_MINOR}")
SET(Slicer3_VERSION_FULL "${Slicer3_VERSION}.${Slicer3_VERSION_PATCH}")
#
# Top level slicer3 configurations
......@@ -15,7 +26,8 @@ SET (EXECUTABLE_OUTPUT_PATH ${Slicer3_BINARY_DIR}/bin/
# Add the testing directories
OPTION(Slicer3_BUILD_TESTING "Test the project" ON)
OPTION(BUILD_TESTING "Test the project" ON)
SET(Slicer3_BUILD_TESTING ${BUILD_TESTING})
IF(Slicer3_BUILD_TESTING)
ENABLE_TESTING()
INCLUDE (${CMAKE_ROOT}/Modules/Dart.cmake)
......@@ -29,7 +41,7 @@ ENDIF(Slicer3_BUILD_TESTING)
#
## ITK
FIND_PACKAGE(ITK)
FIND_PACKAGE(ITK REQUIRED)
IF (NOT ITK_FOUND)
MESSAGE (FATAL_ERROR "Need ITK to build")
ENDIF (NOT ITK_FOUND)
......@@ -38,7 +50,7 @@ INCLUDE(${ITK_USE_FILE})
## KWWidgets
FIND_PACKAGE(KWWidgets)
FIND_PACKAGE(KWWidgets REQUIRED)
IF (NOT KWWidgets_FOUND)
MESSAGE (FATAL_ERROR "Need KWWidgets to build")
ENDIF (NOT KWWidgets_FOUND)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment